org.apache.fop.complexscripts.fonts

## Class AdvancedTypographicTableFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.complexscripts.fonts.AdvancedTypographicTableFormatException

All Implemented Interfaces:
  Serializable

    public class AdvancedTypographicTableFormatException
    extends RuntimeException

Exception thrown when attempting to decode a truetype font file and a format constraint is violated.

This work was originally authored by Glenn Adams (gadams@apache.org).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AdvancedTypographicTableFormatException()` Instantiate ATT format exception.
`AdvancedTypographicTableFormatException(String message)` Instantiate ATT format exception.
`AdvancedTypographicTableFormatException(String message, Throwable cause)` Instantiate ATT format exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AdvancedTypographicTableFormatException

    public AdvancedTypographicTableFormatException()

Instantiate ATT format exception.

#### AdvancedTypographicTableFormatException

    public AdvancedTypographicTableFormatException(String message)

Instantiate ATT format exception.

Parameters:
  `message` - a message string

#### AdvancedTypographicTableFormatException

    public AdvancedTypographicTableFormatException(String message,
                                                   Throwable cause)

Instantiate ATT format exception.

Parameters:
  `message` - a message string
  `cause` - a `Throwable` that caused this exception